Subject: Re: linux-next: ftrace tree build failure

From: Steven Rostedt <[email-masked]>
Date: Tue, 25 Nov 2008 00:44:16 -0500

On Tue, 2008-11-25 at 16:09 +1100, Stephen Rothwell wrote:
> Hi Steve,
> 
> On Mon, 24 Nov 2008 23:31:33 -0500 Steven Rostedt <[email-masked]> wrote:
> >
> > This may be a compiler bug, or something introduced by the compiler. I
> > compiled it fine first with gcc 4.0.2, but then tried with the same
> > compiler you used, and got the same error as you.
> 
> A quick bisect points to this commit:
> 
> commit 2bcd521a684cc94befbe2ce7d5b613c841b0d304
> Author: Steven Rostedt <[email-masked]>
> Date:   Fri Nov 21 01:30:54 2008 -0500
> 
>     trace: profile all if conditionals
> 
> I guess something in there is tickling the compiler ...

Yep, it was the wrong constraint used in the asm. Googling around, I
found a similar bug listed in gcc, which was not a bug.

Patch has been sent to fix this.

Ah, I forgot to Cc Peter on that patch.

I'll bounce it to him ;-)

-- Steve